Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.configuration
Class MostUsefulConfiguration

    java.lang.Object
      org.jbehave.core.configuration.Configuration
          org.jbehave.core.configuration.MostUsefulConfiguration

Direct Known Subclasses:
  ParanamerConfiguration, PropertyBasedConfiguration

    public class MostUsefulConfiguration

extends Configuration

The configuration that works for most situations that users are likely to encounter. The elements configured are:

- `Keywords`: `LocalizedKeywords`
- `StoryParser`: `RegexStoryParser`
- `StoryLoader`: `LoadFromClasspath`
- `StoryControls`: `StoryControls`
- `FailureStrategy`: `RethrowingFailure`
- `PendingStepStrategy`: `PassingUponPendingStep`
- `DefaultStoryReporter`: `ConsoleOutput`
- `StepCollector`: `MarkUnmatchedStepsAsPending`
- `StepFinder`: `StepFinder`
- `StepPatternParser`: `RegexPrefixCapturingPatternParser`
- `StepdocReporter`: `PrintStreamStepdocReporter`
- `StepMonitor`: `SilentStepMonitor`
- `Paranamer`: `NullParanamer`
- `ParameterControls`: `ParameterControls`
- `ViewGenerator`: `FreemarkerViewGenerator`

Constructor Summary
`MostUsefulConfiguration()`

Method Summary

Methods inherited from class org.jbehave.core.configuration.Configuration
`defaultStoryReporter, doDryRun, dryRun, failureStrategy, keywords, parameterControls, parameterConverters, paranamer, pathCalculator, pendingStepStrategy, stepCollector, stepdocReporter, stepFinder, stepMonitor, stepPatternParser, storyControls, storyLoader, storyParser, storyPathResolver, storyReporter, storyReporterBuilder, useDefaultStoryReporter, useFailureStrategy, useKeywords, useParameterControls, useParameterConverters, useParanamer, usePathCalculator, usePendingStepStrategy, useStepCollector, useStepdocReporter, useStepFinder, useStepMonitor, useStepPatternParser, useStoryControls, useStoryLoader, useStoryParser, useStoryPathResolver, useStoryReporterBuilder, useViewGenerator, viewGenerator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MostUsefulConfiguration

    public MostUsefulConfiguration()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.